GuideReference
TrainingSupportCommunity

Threat intel

akamai_appsec_threat_intel

Enables or disables threat intelligence for a security policy. This resource is only available to organizations running the Adaptive Security Engine (ASE) beta Please contact your Akamai representative for more information.

Scopes: Security policy

Example

terraform {
  required_providers {
    akamai = {
      source = "akamai/akamai"
    }
  }
}

provider "akamai" {
  edgerc = "~/.edgerc"
}

// USE CASE: User wants to update the threat intelligence setting.

data "akamai_appsec_configuration" "configuration" {
  name = "Documentation"
}
resource "akamai_appsec_threat_intel" "threat_intel" {
  config_id          = data.akamai_appsec_configuration.configuration.config_id
  security_policy_id = "gms1_134637"
  threat_intel       = "on"
}

Argument reference

This resource supports the following arguments:

  • config_id (Required). Unique identifier of the security configuration associated with the threat intelligence protection settings being modified.
  • security_policy_id (Required). Unique identifier of the security policy associated with the threat intelligence protection settings being modified.
  • threat_intel (Required). Set to on to enable threat intelligence protection; set to off to disable threat intelligence protection.